const { ipcRenderer } = require('electron')

window.onload = () => {
    // 获取元素
    let aBtn = document.getElementsByTagName('button')
    
    // 01 采用异步的 API 在渲染进程中给主进程发送信息
    aBtn[0].addEventListener('click', () => {
        ipcRenderer.send('msg1', '来自于渲染进程的一条异步消息')
    })

    // 02 采用同步的 API 在渲染进程中给主进程发送信息
    aBtn[1].addEventListener('click', () => {
        let val = ipcRenderer.sendSync('msg2', '来自于渲染进程的一条同步消息')
        alert(val)
    })

    // 接收消息的区域
    ipcRenderer.on('msg1Re', (ev, data) => {
        alert(data)
    })

    ipcRenderer.on('mtp', (ev, data) => {
        alert(data)
    })
}